List your API keys
curl --request GET \
--url https://a-char.com/api/v1/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://a-char.com/api/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://a-char.com/api/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"scopes": [
"departments:read"
],
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]API keys
List your API keys
Active API keys owned by the authenticated user in the authenticated organization, newest first. Secrets are never returned. Requires the api-keys:read scope.
GET
/
api-keys
List your API keys
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
OK
Available options:
departments:read, departments:write, departments:delete, sites:read, sites:write, sites:delete, positions:read, positions:write, positions:delete, employment-types:read, employment-types:write, employment-types:delete, holidays:read, holidays:write, holidays:delete, change-types:read, termination-reasons:read, accrual-cycles:read, policies:read, policies:config:read, api-keys:read